Bug 771137 - Review Request: decibel-audio-player - straightforward music player
Review Request: decibel-audio-player - straightforward music player
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-01-01 16:27 EST by Lukas Zapletal
Modified: 2012-06-26 17:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 17:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-01-01 16:27:51 EST
Spec URL: http://lzap.fedorapeople.org/fedora-packaging/decibel-audio-player/1.08/decibel-audio-player.spec
SRPM URL: http://lzap.fedorapeople.org/fedora-packaging/decibel-audio-player/1.08/decibel-audio-player-1.08-1.f15.src.rpm
Description:

Decibel is an audio player that aims at being very straightforward to use by
means of a very clean and user friendly interface. It is especially targeted
at GNOME and will follow, as closely as possible, the GNOME HIG. It makes use
of the GStreamer library to read audio files.

THIS PACKAGE HAS BEEN ORPHANED AND THEN DEPRECATED: """This package was retired on 2011-07-25 due to it being unable to build this package for multiple releases (FTBFS)."""

[lzap@lzapx 1.08]$ rpmlint decibel-audio-player-1.08-1.fc16.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[lzap@lzapx 1.08]$ rpmlint decibel-audio-player-1.08-1.f15.src.rpm 
decibel-audio-player.src:10: W: macro-in-comment %{name}
decibel-audio-player.src:10: W: macro-in-comment %{version}
decibel-audio-player.src:37: W: macro-in-comment %patch0
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 1 Volker Fröhlich 2012-01-08 01:47:08 EST
Just some comments:

- Drop defattr, it is no longer necessary
- If you don't go for EPEL 5, you can drop the buildroot definition, the clean section and the rm in the install section
- Consider using a loop to create directories and install the icons


%{_datadir}/%{name}

could replace

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pix
%{_datadir}/%{name}/res
%{_datadir}/%{name}/src

as far as I can see


- The RPM changelog is intended for changes in packaging, not within the software
- Man pages should not be marked as documentation
- Was "vendor" used in desktop files in older versions of this package? If not, it should not be used.
- Consider harmonizing the style of your sed invocations

I'm not sure about those shell scripts that act as starters. Are they really necessary?
Comment 2 Christoph Wickert 2012-02-15 12:56:46 EST
When using sed, you are hardcoding /usr/bin. Use the %{_bindir} macro instead.

(In reply to comment #1)
> Just some comments:
> 
> - Drop defattr, it is no longer necessary

It *can* be dropped, but it does no harm, so IHMO there is no reason to drop it. It's still needed on EPEL5.

> - Man pages should not be marked as documentation

Correct is: They will be marked as %doc automatically, so there is no need to mark them in the spec.
Comment 3 Volker Fröhlich 2012-02-15 14:11:49 EST
Christoph, defattr was necessary in EL 4 but not 5, I think:

http://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

There was an e-mail on some mailing list that compared that in detail, but I can't find it right now.

Of course it does no harm.
Comment 4 Volker Fröhlich 2012-04-10 17:52:29 EDT
Any news, Lukáš?
Comment 5 Lukas Zapletal 2012-04-11 09:05:57 EDT
Christoph and Volker,

thanks for your help here. I was waiting for Debrashi to confirm me I am free to take this package. I am now :-)

All your remarks incorporated, except:

- Was "vendor" used in desktop files in older versions of this package? If not,
it should not be used.

I did not change this, its from original version of the package. I'd rather keep it if this is not an issue.

- I'm not sure about those shell scripts that act as starters. Are they really
necessary?

I dont follow here, you mean 

%{_bindir}/%{name}
%{_bindir}/%{name}-remote

right? They both work and I use them quite often. Please elaborate if you mean something different.

- When using sed, you are hardcoding /usr/bin. Use the %{_bindir} macro instead.

Do you mean hardcoding of /usb/bin/sed invocation, or hardcoding the path in the script itself?

Regarding harmonizing - I think its correct, I need to do the first sed in-place, while 2nd and 3rd are used when copying the shell script to the correct place. 

I have also added BuildRequires: sed.

I am overwriting original files, use the same links to see it.

[lzap@lzapx noarch]$ rpmlint decibel-audio-player-1.08-1.fc16.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[lzap@lzapx SRPMS]$ rpmlint decibel-audio-player-1.08-1.f15.src.rpm 
decibel-audio-player.src:10: W: macro-in-comment %{name}
decibel-audio-player.src:10: W: macro-in-comment %{version}
1 packages and 0 specfiles checked; 0 errors, 3 warnings

Thanks!
Comment 6 Brendan Jones 2012-04-11 13:01:14 EDT
Added tracker for the audio spin.
Comment 7 Brendan Jones 2012-04-11 13:01:45 EDT
This was orphaned right?
Comment 8 Lukas Zapletal 2012-04-16 04:58:07 EDT
Yes, the package was orphaned.
Comment 9 Volker Fröhlich 2012-05-03 18:11:13 EDT
I think I can speak for Christoph here, that he was referring to:

sed 'bla' %{_bindir}/blah

instead of

sed 'bla' /usr/bin/blah


Please write a meaningful changelog and bump your release when you change something. This makes work a lot easier for reviewers.

Don't BR sed, see http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

Forget my comment about the scripts, it is all fine.

I must have been very tired when I wrote about the harmonization, so you can basically forget about that too. One thing though: I suggest to use "sed 'expression' filename" instead of cating into sed. 

Don't use the install macro %{__install}. Just make it "install".
Comment 10 Lukas Zapletal 2012-05-10 07:23:09 EDT
All fixed, changelog added and release bumped to 3 describing all changes I made.

http://lzap.fedorapeople.org/fedora-packaging/decibel-audio-player/1.08-3/
Comment 11 Volker Fröhlich 2012-05-13 16:08:27 EDT
I'll take the review.
Comment 12 Volker Fröhlich 2012-05-14 17:26:40 EDT
I think you also need python-imaging (src/modules/Covers.py). Can you point me to the part that needs pygtk2-libglade?
Comment 13 Lukas Zapletal 2012-05-15 04:11:48 EDT
Hey,

I was under impression that loadGlade function still needs it, but after reading

https://bugs.launchpad.net/decibel-audio-player/+bug/799738

I understand its just a naming. Removing.

And adding imaging, thanks. I did hand review of all imports, did not find anything else. If there is some automated tool, I'd be happy to apply it and see all the imports.

http://lzap.fedorapeople.org/fedora-packaging/decibel-audio-player/1.08-4/
Comment 14 Volker Fröhlich 2012-05-15 15:16:59 EDT
On future comments, please always post the direct link to spec file and SRPM. 

The fedora-review utility requires that too.
Comment 15 Volker Fröhlich 2012-05-15 17:37:48 EDT
Package Review
==============

Key:
- = N/A 
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format. 
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT) 
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content. 
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST The spec file handles locales properly.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
Please use the _prefix macro on your two sed invocations.

[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint decibel-audio-player-1.08-4.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint decibel-audio-player-1.08-4.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/media/speicher1/makerpm/decibel-audio-player-1.08.tar.gz :
  MD5SUM this package     : e8ebaf819c198ff9951903e7c4056aef
  MD5SUM upstream package : e8ebaf819c198ff9951903e7c4056aef

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[-]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
Please use the _prefix macro on your two sed invocations.


Generated by fedora-review 0.1.3
External plugins:
Comment 16 Lukas Zapletal 2012-05-18 10:12:47 EDT
Thanks for the review!

On the first sight, I am not able to find what is wrong with my desktop file, will investigate more tomorrow.

Btw did not know about fedora-review - thanks :-)
Comment 17 Volker Fröhlich 2012-05-18 12:01:19 EDT
It's the name! Your's is called fedora-%{name}.desktop, but it should be %{name}.desktop.
Comment 19 Volker Fröhlich 2012-05-20 17:27:37 EDT
This package is APPROVED!
Comment 20 Lukas Zapletal 2012-05-21 04:55:58 EDT
Thank you Volker.

The package was ORPHANED.

New Package SCM Request
=======================
Package Name: decibel-audio-player
Short Description: straightforward music player
Owners: lzap
Branches: f16 f17
InitialCC:
Comment 21 Jon Ciesla 2012-05-21 14:04:36 EDT
Unorphaned devel and f15, please take ownership in pkgdb and submit a
Package Change request for f16 and f17.
Comment 22 Lukas Zapletal 2012-05-24 06:17:02 EDT
Package Change Request
======================
Package Name: decibel-audio-player
New Branches: f16 f17
Owners: lzap rakesh
InitialCC:
Comment 23 Jon Ciesla 2012-05-24 10:33:38 EDT
Git done (by process-git-requests).
Comment 24 Lukas Zapletal 2012-05-24 11:51:45 EDT
Thanks. https://fedorahosted.org/rel-eng/ticket/5199
Comment 25 Fedora Update System 2012-05-25 03:48:38 EDT
decibel-audio-player-1.08-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/decibel-audio-player-1.08-5.fc17
Comment 26 Fedora Update System 2012-05-26 04:02:06 EDT
decibel-audio-player-1.08-5.fc17 has been pushed to the Fedora 17 testing repository.
Comment 27 Fedora Update System 2012-06-26 17:30:19 EDT
decibel-audio-player-1.08-5.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.